> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zenobank.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get checkout by ID

> Retrieve the latest state of a checkout

Fetch the current status and payment link for a checkout. This endpoint is public and does not require authentication.

## Path parameters

* `id` (string, required): The checkout ID returned when you created the checkout.

## Example request

<Tabs>
  <Tab title="cURL">
    ```bash theme={null}
    curl https://api.zenobank.io/api/v1/public/checkouts/ch_l0k1o87yt6
    ```
  </Tab>

  <Tab title="JavaScript">
    ```javascript theme={null}
    const response = await fetch('https://api.zenobank.io/api/v1/public/checkouts/ch_l0k1o87yt6');
    const checkout = await response.json();
    ```
  </Tab>

  <Tab title="Python">
    ```python theme={null}
    import requests

    response = requests.get('https://api.zenobank.io/api/v1/public/checkouts/ch_l0k1o87yt6')
    checkout = response.json()
    ```
  </Tab>

  <Tab title="PHP">
    ```php theme={null}
    $response = file_get_contents('https://api.zenobank.io/api/v1/public/checkouts/ch_l0k1o87yt6');
    $checkout = json_decode($response, true);
    ```
  </Tab>

  <Tab title="Go">
    ```go theme={null}
    resp, _ := http.Get("https://api.zenobank.io/api/v1/public/checkouts/ch_l0k1o87yt6")
    defer resp.Body.Close()

    var checkout map[string]interface{}
    json.NewDecoder(resp.Body).Decode(&checkout)
    ```
  </Tab>

  <Tab title="Ruby">
    ```ruby theme={null}
    require 'net/http'
    require 'json'

    uri = URI('https://api.zenobank.io/api/v1/public/checkouts/ch_l0k1o87yt6')
    response = Net::HTTP.get_response(uri)
    checkout = JSON.parse(response.body)
    ```
  </Tab>
</Tabs>

## Example response

```json theme={null}
{
  "id": "ch_l0k1o87yt6",
  "orderId": "order-12345",
  "priceCurrency": "USD",
  "priceAmount": "0.01",
  "status": "OPEN",
  "expiresAt": "2025-10-04T10:30:00Z",
  "checkoutUrl": "https://pay.zenobank.io/ch_l0k1o87yt6",
  "createdAt": "2025-10-04T10:00:00Z",
  "successRedirectUrl": "https://example.com/success"
}
```
